Package org.h2.dev.util

# Class ThreadDumpInliner

java.lang.Object
org.h2.dev.util.ThreadDumpInliner

public class ThreadDumpInliner extends Object
Convert a list of thread dumps into one line per thread.

## Constructor Summary

Constructors
Constructor
Description
`ThreadDumpInliner()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... a)`
Usage: java ThreadDumpInliner threadDump.txt

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadDumpInliner

public ThreadDumpInliner()

## Method Details

### main

public static void main(String... a) throws Exception
Usage: java ThreadDumpInliner threadDump.txt

Parameters:
  `a` - the file name
Throws:
  `Exception`